
Redmine - Defect #981

Incompatbility with prototype.js version 1.6.0.2

2008-04-03 03:53 - Mike Duchene

Status: Closed Start date: 2008-04-03

Priority: Low Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

This is mostly for an early warning.  If we need to upgrade the prototype.js (in public/javascripts); it did not work with 0.7.0_RC1.  I

have not looked at the problem(s) in depth.  For convenience I have attached a copy of prototype.js 1.6.0.2, which is the latest

version as of this writing.  I am placing this as priority low, because there is most likely not an urgent need to upgrade this file. 

However, the author of prototype.js has added new functionality, some of which could have been helpful, for example with Issue 

#960, so maybe there are other helpful additions as well.

Related issues:

Related to Redmine - Defect #960: Right click menu can be rendered off-screen Closed 2008-03-30

History

#1 - 2008-04-03 15:25 - Jean-Philippe Lang

The fact that redmine is not prototype 1.6 compatible is definitely not a defect.

But I agree, it would help fixing #960.

#2 - 2008-04-03 19:32 - Rocco Stanzione

I ran into this too when I did a rake rails:update:javascripts.  1.6 also has some nice new features.

#3 - 2008-06-28 13:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Upgraded to Prototype 1.6.0.1 (the one provided with Rails 2.1) in r1594.

Files

prototype-1.6.0.2.js 123 KB 2008-04-03 Mike Duchene
